org.apache.ignite.internal.util.ipc

## Class IpcServerEndpointDeserializer

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.IpcServerEndpointDeserializer

    public class IpcServerEndpointDeserializer
    extends Object

Grid IpcServerEndpoint configuration deserializer.

### Constructor Summary

Constructors
Constructor and Description
`IpcServerEndpointDeserializer()`

### Method Summary

Methods
`static IpcServerEndpoint` `deserialize(Map<String,String> endpointCfg)` Deserializes IPC server endpoint config into concrete instance of `IpcServerEndpoint`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IpcServerEndpointDeserializer

    public IpcServerEndpointDeserializer()

### Method Detail

#### deserialize

    public static IpcServerEndpoint deserialize(Map<String,String> endpointCfg)
                                         throws IgniteCheckedException

Deserializes IPC server endpoint config into concrete instance of `IpcServerEndpoint`.

Parameters:
  `endpointCfg` - Map with properties of the IPC server endpoint config.
Returns:
  Deserialized instance of `IpcServerEndpoint`.
Throws:
  `IgniteCheckedException` - If any problem with configuration properties setting has happened.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015